import request from './request'

// 太保免登接口
export const loginApi = (data) => {
  return request({
    method: 'get',
    url: '/login/taibao',
    data
  })
}

// 首页
export const indexApi = (data) => {
  return request({
    method: 'get',
    url: '/activity/index',
    data
  })
}

// 未来展品
export const futureActivityApi = (data) => {
  return request({
    method: 'get',
    url: '/activity/futureActivity',
    data
  })
}

// 奖品tab列表
export const tabQueryApi = (data) => {
  return request({
    method: 'get',
    url: '/activity/tabQuery',
    data
  })
}

// 奖品列表
export const prizeRecordsApi = (data) => {
  return request({
    method: 'get',
    url: '/activity/prizeRecords',
    data
  })
}

// 埋点通用信息
export const userInfoApi = (data) => {
  return request({
    method: 'get',
    url: '/activity/userInfo',
    data
  })
}